curl --request POST \
--url https://api.example.com/api/projects/{projectId}/releases/{releaseId}/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"versionType": "patch"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deletedAt": "<string>",
"name": "<string>",
"description": "<string>",
"version": 123,
"semanticVersion": "<string>",
"status": "draft",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta": {
"bucket": "<string>",
"key": "<string>"
}
}Publish a draft release, assigning it a semantic version.
curl --request POST \
--url https://api.example.com/api/projects/{projectId}/releases/{releaseId}/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"versionType": "patch"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deletedAt": "<string>",
"name": "<string>",
"description": "<string>",
"version": 123,
"semanticVersion": "<string>",
"status": "draft",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta": {
"bucket": "<string>",
"key": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gorules.io/llms.txt
Use this file to discover all available pages before exploring further.
Personal access token is obtained through your profile
Project unique identifier
Release unique identifier
Published release information
Published release information
Release unique identifier
Release creation timestamp
Project ID the release belongs to
Release deletion timestamp
Release name
Release description
Legacy numeric version
Semantic version (e.g., 1.0.0)
Release status
draft, published, completed ID of the user who created the release
Associated commit ID
Release storage metadata
Show child attributes
Was this page helpful?